Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class MethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey

Direct Known Subclasses:
  DefaultCachedMethodKey, DefaultMethodKey, TemporaryMethodKey

    public abstract class MethodKey

extends Object

An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

Version:
  $Revision: 7753 $
Author:
  James Strachan

Constructor Summary
`MethodKey(Class sender, String name, boolean isCallToSuper)`

Method Summary
`MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
`protected int` | `createHashCode()`
`boolean` | `equals(MethodKey that)`
`boolean` | `equals(Object that)`
`String` | `getName()`
`abstract int` | `getParameterCount()`
`abstract Class` | `getParameterType(int index)`
`List` | `getParamterTypes()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodKey

    public MethodKey(Class sender,
                     String name,
                     boolean isCallToSuper)

Method Detail

### createCopy

    public MethodKey createCopy()

  Creates an immutable copy that we can cache.

### equals

    public boolean equals(Object that)

  Overrides:
    `equals` in class `Object`

### equals

    public boolean equals(MethodKey that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### getParamterTypes

    public List getParamterTypes()

### getParameterCount

    public abstract int getParameterCount()

### getParameterType

    public abstract Class getParameterType(int index)

### createHashCode

    protected int createHashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD